<style>
input[type='file'].hidden
{
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    font-size: 50px;
    cursor: pointer;
    opacity: 0;
    -moz-opacity: 0;
    filter: Alpha(Opacity=0);
}

img.fileDownload
{
    height: 100px;
    width: 100px;
    padding: 0;
    display: inline-block; 
    vertical-align: middle;
    margin: 0 4px 0 0;
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
}

div.hiddenFileInputContainter
{
    position: relative;
    display: inline-block;
 height: 100px;
    width: 100px;
    overflow: hidden;
    vertical-align: middle;
    cursor: pointer;
}
</style>

<script class="jsbin" src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<div class="hiddenFileInputContainter">
    <img class="fileDownload" src="http://www.hdwallpapery.com/static/images/image5_170127819_PxgeF3V.jpg">
    <input type="file" name="fileUp" onchange="readURL(this);" class="hidden" accept="image/*">
</div>

<script>
function readURL(input) {

if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
        	$('.fileDownload')
            .attr('src', e.target.result)
            .width(100)
            .height(100);
        }
        reader.readAsDataURL(input.files[0]);
    } 
   
}
</script>
